cpw.mods.fml.common.network

## Class PacketDispatcher

- java.lang.Object
- - cpw.mods.fml.common.network.PacketDispatcher

-     public class PacketDispatcher
      extends Object

  A simple utility class to send packet 250 packets around the place
  Author:
    cpw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Packet250CustomPayload` | `getPacket(String type, byte[] data)`
    `static Packet131MapData` | `getTinyPacket(Object mod, short tag, byte[] data)`
    `static void` | `sendPacketToAllAround(double X, double Y, double Z, double range, int dimensionId, Packet packet)`
    `static void` | `sendPacketToAllInDimension(Packet packet, int dimId)`
    `static void` | `sendPacketToAllPlayers(Packet packet)`
    `static void` | `sendPacketToPlayer(Packet packet, Player player)`
    `static void` | `sendPacketToServer(Packet packet)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketDispatcher

          public PacketDispatcher()

  - ### Method Detail

    - #### getPacket

          public static Packet250CustomPayload getPacket(String type,
                                         byte[] data)

    - #### sendPacketToServer

          public static void sendPacketToServer(Packet packet)

    - #### sendPacketToPlayer

          public static void sendPacketToPlayer(Packet packet,
                                Player player)

    - #### sendPacketToAllAround

          public static void sendPacketToAllAround(double X,
                                   double Y,
                                   double Z,
                                   double range,
                                   int dimensionId,
                                   Packet packet)

    - #### sendPacketToAllInDimension

          public static void sendPacketToAllInDimension(Packet packet,
                                        int dimId)

    - #### sendPacketToAllPlayers

          public static void sendPacketToAllPlayers(Packet packet)

    - #### getTinyPacket

          public static Packet131MapData getTinyPacket(Object mod,
                                       short tag,
                                       byte[] data)